OUTPUT_ARCH(mips)
ENTRY(_start)

SECTIONS
{
	/* Program memory section. */

	. = 0x81c00000;

	_payload_start = ABSOLUTE(.);
	_shared_start = ABSOLUTE(.);

	.text2 : { *(.text*) }

	. = ALIGN(4);
	.rodata : { *(.rodata*) }

	. = ALIGN(4);
	.sdata : { *(.sdata*) }

	. = ALIGN(4);
	.data : { *(.data*) *(.scommon*) *(.reginfo*) }

	_shared_end = ABSOLUTE(.);

	. = ALIGN(4);

	_bss_start = ABSOLUTE(.);

	.sbss : { *(.sbss*) }
	.bss : { *(.bss*) }
	. = ALIGN (4);

	_bss_end = ABSOLUTE(.);

	/* The global object table. */

	.got : ALIGN(4096) {
		_gp = ALIGN(16);
		_got_start = ABSOLUTE(.);	
		 *(.got*)
	}
	_got_end = ABSOLUTE(.);	

	/* The relocated copy of the global object table. */

	.got_copy : ALIGN(4096) {
		_got_copy_start = ABSOLUTE(.);
		. += _got_end - _got_start - 1;
	}
	_got_copy_end = ABSOLUTE(.);
	_payload_end = ABSOLUTE(.);
}
